<XML><![CDATA[ 




var baseurl="index.html";

var doc={
		count:0,
		examples:new Object, 
		reference:new Object, 
		add:function(c,nam,shortdesc,longdesc,example,externalref,aliasarray,which) {
				if(!which)
					which=this.reference;
				var ci=0;
				if(which[c]==undefined)
					which[c]=new Array;

				if(externalref=='w')
					externalref="http://en.wikipedia.org/wiki/"+shortdesc.replace(/ /g,"_");

				if(example=='1')
					example="F=1&G=1&E=0&R=0&GY=0.75&f1="+nam;
				else if(example=='2')
					example="F=1&G=1&E=0&R=0&GS=0.7&f1="+nam;
				else if(example!='')
					ci=1;

				which[c].push({name:nam,sdesc:shortdesc,ldesc:longdesc,ex:example,ref:externalref,showcalcicon:ci,aliases:aliasarray});
				return which[c][which[c].length-1]; 
			},
		adS:function(c,nam,shortdesc,longdesc,example,externalref,aliasarray) {
			this.add(c,nam,shortdesc,longdesc,example,externalref,aliasarray,this.examples).ExampleStyle=1;
			},
		adE:function(c,nam,shortdesc,longdesc,example,externalref,aliasarray) {
			this.add(c,nam,shortdesc,longdesc,example,externalref,aliasarray,this.examples).ExampleStyle=2;
			},
		genExamples:function() {
				var cnt=0,str="";
				
				str+="<div style='width:60px;'/><div style='padding:8px;background-color:#282828;position:fixed; width:90px; left:5px; top:5px; bottom:5px; overflow:auto;'>";
				str+="<a style='float:right;text-decoration:none;font-size:12px' href=\"javascript:docs(1)\"><B>X</B></a>";
				str+="<H3>Examples</H3>";
				str+="<table style='padding:0px;margin:0px'><tr>";
				for(propc in this.examples) {
					for(i=0;i<this.examples[propc].length;i++) {
						if(this.examples[propc][i].ExampleStyle==1) {
							str+="<td><a href='javascript:setState(\"" +  escape(this.examples[propc][i].ex)// this.examples[propc][i].ex.replace(RegExp("\"","g"),"\\\"")
								+ "\")'" ;
//							str+="<td><a href='" + baseurl + "?" + this.examples[propc][i].ex + "'";
							str+=" title='" +(this.examples[propc][i].name)+ "'><img src='img/" +this.examples[propc][i].name.replace(/ /g,"_");
							str+=".jpg' alt='" +this.examples[propc][i].name;
							str+="' border=0><\/a><\/td>";
						//	cnt++;
						//	if(cnt>=5) {		
						//		cnt=0;			
								str+="<\/tr><tr>";
						//	}
						}
					}
				}	
				str+="<\/tr><\/table>";
				str+="See <a href=\"javascript:docs(0);\">the reference</a> a for a full list of examples";
				str+="</div>";
				return str;		
			},
		genInfo:function(cat) {
			var str="<table style='padding:0px;margin:0px'>";
			for(propc in cat) {
				str+="<tr><td><br /><b>" +propc+ ":</b><br /><table>";
				for(i=0;i<cat[propc].length;i++) {
					str+="<tr><td style='width:195px;height:17px'>";
					clink="<a class='ml' href='" +(baseurl+"?"+cat[propc][i].ex)+ "' target='_blank' title='"+(cat[propc][i].ldesc)+ "'>" ;
					str+= clink+(cat[propc][i].name)+ "</a>";
					if(cat[propc][i].aliases) {
						for(j=0;j<cat[propc][i].aliases.length;j++)
							str+=", <a class='ml' href='" +(baseurl+"?"+cat[propc][i].ex)+ "' target='_blank'>"+(cat[propc][i].aliases[j])+"</a>";
					}
					str+= " " +(cat[propc][i].sdesc);
					str+="</td><td style='width:16px'>";
					if(cat[propc][i].ref!='')
						str+="<a href='" +(cat[propc][i].ref)+ "' target='_blank'><img src='icon_wikipedia.png' border='0'></a>";
					str+="</td><td style='width:16px'>";
					if(cat[propc][i].showcalcicon)
						str+=clink+"<img src='icon.png' border='0'></a>";
					str+="</td></tr>\n";
				}
				str+="</td></tr></table>\n\n";
			}
			str+="</td></tr></table>\n";
			return str;
		},
		genHelp:function() {
				var clink,i,j,str="<div style='width:190px;'/><div style='width:240px;padding:8px;background-color:#282828;position:fixed; right:5px; top:5px; bottom:5px; overflow:auto;'>";
				str+="<a style='float:right;text-decoration:none;font-size:12px' href=\"javascript:docs(0)\"><B>X</B></a>";
				str+="<H3>Reference</H3> (mouse-over tooltips for info)<br />";
				str+=this.genInfo(this.reference);
				str+="<br /><hr />";
				str+="<H3><a name=\"examples\">List of Examples</a></H3>";
				str+=this.genInfo(this.examples);
				str+="<br />";
				str+="</div></div>\n";
				return str;
			}
		};

doc.add('Helper',	'out(c, [...])' ,'text output',			'Write text to the output box','R=0&O=1&Expr=out("Text Output!")%0Afor(i%3D1%3Bi<5%3Bi++)%0A out("for i..."%2C i%2C i*i)%3B','');
//doc.add('Helper',	'putc(c)'		,'write char to out',	'Write a integer as a character (C compatibility)','R=0&O=1&Expr=for(i%3D32%3Bi<95%3Bi++)%0A putc(i)%3B','');
doc.add('Helper',	'dirt(x)'		,'Low amp. Noise',		'A hash-based, uniformly distributed noise, with a scaling of 1/32','F=1&G=1&E=0&R=0&f1=sin(x)+dirt(x)','');
doc.add('Helper',	'marker(x,a)'	,'',					'GUI helper, just a function that is very steep at (a)','C=2&F=3&G=1&E=0&R=0&GX=0.5&GY=0.5&GS=1.5&a=0.4&aMa=3&b=1.5&bMa=3&f1=marker(x%2Ca)&f2=marker(x%2Cb)&f3=(x-a)/(b-a)','');
//doc.add('Helper',	'pF(x) / p'	,'Movable Points',			'p is a global array of points, insert and delete by ctrl-clicking the graph','F=1&G=1&R=0&GY=0.5&f1=pF(x)&Expr=setup%3Dfunction()%20{%20p%3D[{x:-1,y:0},%20{x:0,y:1},%20{x:1,y:0}];%20}','');
doc.add('Helper',	'F(text)' ,'Create Function',			'Creates a function from string, arguments are assumed to be (x,y,z)','R=0&Expr=xx%20%3D%20F%28%27pow%28x%2Cy%29%20*%20z%27%29%3B%0A%0A//%20is%20just%20a%20shorter%20way%20of%20writing%3A%0A%0Axx%20%3D%20function%28x%2C%20y%2C%20z%29%20%7B%20return%20pow%28x%2Cy%29%20*%20z%3B%20%7D%3B%20','');
doc.add('Helper',	'sample(function,range)' ,'',			'Samples a function N times and returns an array with the sampled data, range is specified as an array [begin_value, end_value, N]','F=2&G=1&R=0&O=1&GS=0.9&EH=118&OH=118&f1=sin%28x%29&f2=xx%28x%29&Expr=var%20beginAt%20%3D%200%2C%20endAt%20%3D%203%2C%20sampleCount%20%3D%207%3B%0Avar%20range%20%3D%20%5BbeginAt%2CendAt%2CsampleCount%5D%3B%0Avar%20samples%20%3D%20sample%28f1%2Crange%29%3B%0Afor%28i%20in%20samples%29%0A%20out%28round%28samples%5Bi%5D%2C2%29%29%3B%0A%0Axx%3DaToF%28samples%2Cnearest%2CbeginAt%2CendAt-%28endAt-beginAt%29/sampleCount%29%3B%0A%0A','');
doc.add('Helper',	'aToF(array [,filter,begin,end])' ,'',		'Array-To-Function, filter can be nearest, linear (default), hermite, quadratic, cubic. Default value of begin is 0. Default value of end is array.length-1','C=2&F=6&G=1&R=0&GX=5.6&GY=7.4&GS=0.4&GSY=0.2&EH=176&a=2&aMa=24&b=7&bMa=24&f1=xx.plain%28x%29&f2=xx.near%28x%29&f3=xx.quadratic%28x%29&fe3=0&f4=xx.cubic%28x%29&fe4=0&f5=xx.scaled%28x%29&fe5=0&f6=xx.scalenorm%28x%29&fe6=0&Expr=yy%3D%5B0%2C2%2C5%2C14%2C5%2C8%2C9%2C6%2C10%2C15%2C3%5D%3B%0Axx%3D%7B%7D%3B%0A%0Axx.plain%3DaToF%28yy%29%3B%0A%0Axx.near%3DaToF%28yy%2Cnearest%29%3B%0Axx.quadratic%3DaToF%28yy%2Cquadratic%29%3B%0Axx.cubic%3DaToF%28yy%2Ccubic%29%3B%0A%0Axx.scaled%3DaToF%28yy%2Clinear%2Ca%2Cb%29%3B%0A%0Axx.scalenorm%3DaToFn%28yy%29%3B%0A','');
doc.add('Helper',	'aToFn(array [,filter])' ,'',				'Array-To-Function, same as aToF but with hardwired begin=0 and end=1','C=2&F=6&G=1&R=0&GX=5.6&GY=7.4&GS=0.4&GSY=0.2&EH=176&a=2&aMa=24&b=7&bMa=24&f1=xx.plain%28x%29&f2=xx.near%28x%29&f3=xx.quadratic%28x%29&fe3=0&f4=xx.cubic%28x%29&fe4=0&f5=xx.scaled%28x%29&fe5=0&f6=xx.scalenorm%28x%29&fe6=0&Expr=yy%3D%5B0%2C2%2C5%2C14%2C5%2C8%2C9%2C6%2C10%2C15%2C3%5D%3B%0Axx%3D%7B%7D%3B%0A%0Axx.plain%3DaToF%28yy%29%3B%0A%0Axx.near%3DaToF%28yy%2Cnearest%29%3B%0Axx.quadratic%3DaToF%28yy%2Cquadratic%29%3B%0Axx.cubic%3DaToF%28yy%2Ccubic%29%3B%0A%0Axx.scaled%3DaToF%28yy%2Clinear%2Ca%2Cb%29%3B%0A%0Axx.scalenorm%3DaToFn%28yy%29%3B%0A','');

doc.add('Periodic',		'saw(x [,n=1])'	,'0 to 1',				'Period n, out values 0 to 1','C=1&F=6&G=1&E=0&R=0&a=1&f1=saw(x,a)&f2=saw0(x,a)&fe2=0&f3=tri(x,a)&fe3=0&f4=tri0(x,a)&fe4=0&f5=gensaw(x)&fe5=0&f6=gentri(x)&fe6=0','');
doc.add('Periodic',		'saw0(x, [,n=1])','-1 to 1',			'Period n, out values -1 to 1','C=1&F=6&G=1&E=0&R=0&a=1&f1=saw(x,a)&fe1=0&f2=saw0(x,a)&f3=tri(x,a)&fe3=0&f4=tri0(x,a)&fe4=0&f5=gensaw(x)&fe5=0&f6=gentri(x)&fe6=0','');
doc.add('Periodic',		'tri(x, [,n=1])','0 to 1',				'Period n*2, out values 0 to 1','C=1&F=6&G=1&E=0&R=0&a=1&f1=saw(x,a)&fe1=0&f2=saw0(x,a)&fe2=0&f3=tri(x,a)&f4=tri0(x,a)&fe4=0&f5=gensaw(x)&fe5=0&f6=gentri(x)&fe6=0','');
doc.add('Periodic',		'tri0(x, [,n=1])','-1 to 1',			'Period n*2, out values -1 to 1','C=1&F=6&G=1&E=0&R=0&a=1&f1=saw(x,a)&fe1=0&f2=saw0(x,a)&fe2=0&f3=tri(x,a)&fe3=0&f4=tri0(x,a)&f5=gensaw(x)&fe5=0&f6=gentri(x)&fe6=0','');

doc.add('Graphics',			'rect(x,y,width,height)',			'','Draw a 2D rectangle','G=1&R=0&GH=266&GX=0.61&GY=0.95&GS=0.64&EH=118&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20fill%2899%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20rect%281%2C%201%2C%200.2%2C%201%29%3B%0A%7D%0A%0A','http://en.wikipedia.org/wiki/Rectangle');
doc.add('Graphics',			'ellipse(x,y,width,height)',			'','Draw an ellipse','G=1&R=0&GH=266&EH=118&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20fill%2899%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20ellipse%280%2C%200%2C%200.2%2C%200.5%29%3B%0A%7D%0A%0A','http://en.wikipedia.org/wiki/Ellipse');
doc.add('Graphics',			'circle(x,y,radius)',			'','Draw a circle','G=1&R=0&GH=266&EH=118&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20fill%2899%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20circle%281%2C%200%2C%200.1%29%3B%0A%7D%0A%0A','http://en.wikipedia.org/wiki/Circle');
doc.add('Graphics',			'line( coords * 2 )',			'','Draw a line segment, both 2D and 3D coordinates are accepted','G=1&R=0&GH=266&GY=0.45&EH=118&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20line%28-0.5%2C%200.5%2C%200%2C%201%29%3B%0A%20line%280.5%2C%200.5%2C%202%2C%20%201%2C%201%2C%202%29%3B%20//%203D%0A%7D%0A%0A','http://en.wikipedia.org/wiki/Line_segment');
doc.add('Graphics',			'triangle( coords * 3 )',			'','Draw a triangle, both 2D and 3D coordinates are accepted','G=1&R=0&GH=266&GY=0.45&EH=118&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%20fill%2899%29%3B%0A%0A%20triangle%28-0.5%2C%200.5%2C%200%2C%201%2C%200%2C0%29%3B%0A%20triangle%280.5%2C0.5%2C2%2C%201%2C1%2C2%2C%201%2C0%2C2%29%3B%20//%203D%0A%7D%0A%0A','http://en.wikipedia.org/wiki/Triangle');
doc.add('Graphics',			'quad( coords * 4 )',			'','Draw a quadrilateral, both 2D and 3D coordinates are accepted','G=1&R=0&GH=266&GY=0.45&EH=118&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%20fill%2899%29%3B%0A%0A%20quad%28-0.5%2C%200.5%2C%200%2C%201%2C%200%2C0%2C%20-0.5%2C0%29%3B%0A%20quad%280.5%2C0.5%2C2%2C%201%2C1%2C2%2C%201%2C0%2C2%2C%200.5%2C0%2C2%29%3B%20//%203D%0A%7D%0A%0A','http://en.wikipedia.org/wiki/Quadrilateral');
doc.add('Graphics',			'beginShape([primitive])',			'','Begin shape drawing, primitives are LINE_STRIP (default), LINES, TRIANGLES and QUADS','C=1&G=1&R=0&GX=0.5&GY=0.5&GS=1.9&EH=162&a=8&aMi=2&aMa=100&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20fill%2899%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20beginShape%28%29%3B%0A%20for%28i%3D0%3Bi%3Ca%3Bi++%29%0A%20%20vertex%28rnd%28%29%2Crnd%28%29%29%3B%0A%20endShape%28%29%3B%0A%7D','');
doc.add('Graphics',			'vertex( coord )',			'','Must be called within calls to beginShape/endShape','C=1&G=1&R=0&GX=0.5&GY=0.5&GS=1.9&EH=162&a=8&aMi=2&aMa=100&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20fill%2899%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20beginShape%28%29%3B%0A%20for%28i%3D0%3Bi%3Ca%3Bi++%29%0A%20%20vertex%28rnd%28%29%2Crnd%28%29%29%3B%0A%20endShape%28%29%3B%0A%7D','');
doc.add('Graphics',			'endShape([CLOSE])',			'','End (and draw) a shape, for the LINE_STRIP primitive, passing CLOSE to the function will close the shape','G=1&R=0&W=471&GW=417&GX=0.64&GY=0.35&GS=1.9&EH=239&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20fill%2899%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20beginShape%28%29%3B%0A%20vertex%280%2C0.5%29%3B%0A%20vertex%280%2C0%29%3B%0A%20vertex%280.5%2C0%29%3B%0A%20endShape%28%29%3B%0A%0A%20beginShape%28%29%3B%0A%20vertex%281%2C0.5%29%3B%0A%20vertex%281%2C0%29%3B%0A%20vertex%281.5%2C0%29%3B%0A%20endShape%28CLOSE%29%3B%0A%7D','');
doc.add('Graphics',			'screenSpace()',			'','Set drawing coordinates to be related to canvas pixels','G=1&R=0&GH=266&GX=30&GY=20&GS=0.04&EH=159&Expr=draw%3Dfunction%28%29%20%7B%0A%20noStroke%28%29%3B%0A%20fill%2830%2C90%2C140%29%3B%0A%0A%20plotSpace%28%29%3B%0A%20triangle%2810%2C10%2C%2040%2C40%2C%2050%2C20%29%3B%0A%0A%20screenSpace%28%29%3B%0A%20triangle%2810%2C10%2C%2040%2C40%2C%2050%2C20%29%3B%0A%7D%0A%0A','');
doc.add('Graphics',			'plotSpace()',			'','Set drawing coordinates to be related to the current view of the graph','G=1&R=0&GH=266&GX=30&GY=20&GS=0.04&EH=159&Expr=draw%3Dfunction%28%29%20%7B%0A%20noStroke%28%29%3B%0A%20fill%2830%2C90%2C140%29%3B%0A%0A%20plotSpace%28%29%3B%0A%20triangle%2810%2C10%2C%2040%2C40%2C%2050%2C20%29%3B%0A%0A%20screenSpace%28%29%3B%0A%20triangle%2810%2C10%2C%2040%2C40%2C%2050%2C20%29%3B%0A%7D%0A%0A','');
doc.add('Graphics',			'scale(x [,y,z])',			'','Scale the drawing space for future drawing, scale(2) will scale x,y,z by 2 (uniformly)','C=1&G=1&R=0&GX=0.78&GY=1.2&GS=0.6&EH=126&a=2&aMa=2&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20circle%281%2C1%2C0.2%29%3B%0A%20scale%28a%29%3B%0A%20circle%281%2C1%2C0.2%29%3B%0A%7D','');
doc.add('Graphics',			'translate(x,y [,z])',			'','Offset the drawing space for future rendering','C=1&G=1&R=0&GX=0.78&GY=1.2&GS=0.6&EH=126&a=1&aMi=-1&aMa=2&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20circle%281%2C1%2C0.2%29%3B%0A%20translate%28a%2C-a%29%3B%0A%20circle%281%2C1%2C0.2%29%3B%0A%7D','');
doc.add('Graphics',			'rotate(a)',				'','Rotates the drawing space (x,y) for future rendering','C=1&G=1&R=0&GS=0.5463750371023617&EH=126&a=0.17&aMa=2*pi&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20circle%281%2C1%2C0.2%29%3B%0A%20rotate%28a%29%3B%0A%20circle%281%2C1%2C0.2%29%3B%0A%7D','');
doc.add('Graphics',			'rotateX(a)',				'','Rotates the drawing space (y,z) for future rendering','C=1&G=1&R=0&GS=0.6&EH=126&a=0.8&aMa=2*pi&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20quad%28-1%2C-1%2C%20-1%2C1%2C%201%2C1%2C%201%2C-1%29%3B%0A%20rotateX%28a%29%3B%0A%20quad%28-1%2C-1%2C%20-1%2C1%2C%201%2C1%2C%201%2C-1%29%3B%0A%7D','');
doc.add('Graphics',			'rotateY(a)',				'','Rotates the drawing space (x,z) for future rendering','C=1&G=1&R=0&GS=0.6&EH=126&a=0.8&aMa=2*pi&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20stroke%280%2C255%2C0%29%3B%0A%0A%20quad%28-1%2C-1%2C%20-1%2C1%2C%201%2C1%2C%201%2C-1%29%3B%0A%20rotateY%28a%29%3B%0A%20quad%28-1%2C-1%2C%20-1%2C1%2C%201%2C1%2C%201%2C-1%29%3B%0A%7D','');

doc.add('Graphics',			'fill(color [,alpha])',		'','Color can be supplied as r,g,b (range 0 to 255), gray (0 to 255), [r,b,g] (range 0 to 1) or hex. Alpha is in range 0 to 255.','G=1&R=0&GH=206&GX=3.38&GY=1.18&GS=0.14&EH=416&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20noStroke%28%29%3B%0A%0A%20fill%28255%29%3B%0A%20circle%280%2C0%2C1%29%3B%0A%0A%20fill%280%2C255%2C0%29%3B%0A%20circle%282%2C0%2C1%29%3B%0A%0A%20fill%28%5B0%2C1%2C1%5D%29%3B%0A%20circle%284%2C0%2C1%29%3B%0A%0A%20fill%28%27%23FFAA00%27%29%3B%0A%20circle%286%2C0%2C1%29%3B%0A%20%0A%20//%20Draw%20with%20alpha%0A%20fill%28255%2C128%29%3B%0A%20circle%280%2C2%2C1%29%3B%0A%0A%20fill%280%2C255%2C0%2C128%29%3B%0A%20circle%282%2C2%2C1%29%3B%0A%0A%20fill%28%5B0%2C1%2C1%5D%2C128%29%3B%0A%20circle%284%2C2%2C1%29%3B%0A%0A%20fill%28%27%23FFAA00%27%2C128%29%3B%0A%20circle%286%2C2%2C1%29%3B%0A%7D%0A%0A','');
doc.add('Graphics',			'stroke(color [,alpha])',	'','Color can be supplied as r,g,b (range 0 to 255), gray (0 to 255), [r,b,g] (range 0 to 1) or hex. Alpha is in range 0 to 255.','G=1&R=0&GH=206&GX=3.38&GY=1.18&GS=0.14&EH=416&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20noFill%28%29%3B%0A%0A%20stroke%28255%29%3B%0A%20circle%280%2C0%2C1%29%3B%0A%0A%20stroke%280%2C255%2C0%29%3B%0A%20circle%282%2C0%2C1%29%3B%0A%0A%20stroke%28%5B0%2C1%2C1%5D%29%3B%0A%20circle%284%2C0%2C1%29%3B%0A%0A%20stroke%28%27%23FFAA00%27%29%3B%0A%20circle%286%2C0%2C1%29%3B%0A%20%0A%20//%20Draw%20with%20alpha%0A%20stroke%28255%2C128%29%3B%0A%20circle%280%2C2%2C1%29%3B%0A%0A%20stroke%280%2C255%2C0%2C128%29%3B%0A%20circle%282%2C2%2C1%29%3B%0A%0A%20stroke%28%5B0%2C1%2C1%5D%2C128%29%3B%0A%20circle%284%2C2%2C1%29%3B%0A%0A%20stroke%28%27%23FFAA00%27%2C128%29%3B%0A%20circle%286%2C2%2C1%29%3B%0A%7D%0A%0A','');
doc.add('Graphics',			'noFill()',					'','Disable Fill','G=1&R=0&W=553&GW=499&GH=266&GY=0.4590423426988524&EH=171&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%0A%20stroke%28255%29%3B%0A%20noFill%28%29%3B%0A%20triangle%28-0.5%2C0.5%2C%200%2C1%2C%200%2C0%29%3B%0A%0A%20fill%28128%29%3B%0A%20noStroke%28%29%3B%0A%20triangle%280.5%2C0.5%2C%201%2C1%2C%201%2C0%29%3B%0A%7D%0A%0A','');
doc.add('Graphics',			'noStroke',					'','Disable Stroke','G=1&R=0&W=553&GW=499&GH=266&GY=0.4590423426988524&EH=171&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%0A%20stroke%28255%29%3B%0A%20noFill%28%29%3B%0A%20triangle%28-0.5%2C0.5%2C%200%2C1%2C%200%2C0%29%3B%0A%0A%20fill%28128%29%3B%0A%20noStroke%28%29%3B%0A%20triangle%280.5%2C0.5%2C%201%2C1%2C%201%2C0%29%3B%0A%7D%0A%0A','');

doc.add('Generators',		'gensin(x)'		,'',					'Sine wave generator, Period 1, out values -1 to 1','2','http://en.wikipedia.org/wiki/Sine_wave');
doc.add('Generators',		'gencos(x)'		,'',					'Cosine wave generator, Period 1, out values -1 to 1','2','http://en.wikipedia.org/wiki/Sine_wave');
doc.add('Generators',		'gentri(x[,n])' ,'n for bandlim.',		'Triangle wave generator, Period 1, out values -1 to 1','C=1&F=2&G=1&E=0&R=0&GS=0.7&a=4&aMa=32&aI=1&f1=gentri(x)&f2=gentri(x%2Ca)','http://en.wikipedia.org/wiki/Triangle_wave');
doc.add('Generators',		'gensaw(x[,n])' ,'n for bandlim.',		'Sawtooth wave generator, Period 1, out values -1 to 1','C=1&F=2&G=1&E=0&R=0&GS=0.7&a=4&aMa=32&aI=1&f1=gensaw(x)&f2=gensaw(x%2Ca)','http://en.wikipedia.org/wiki/Sawtooth_wave');
doc.add('Generators',		'gensqr(x[,n])' ,'n for bandlim.',		'Square wave generator, Period 1, out values -1 to 1','C=1&F=2&G=1&E=0&R=0&GS=0.7&a=4&aMa=32&aI=1&f1=gensqr(x)&f2=gensqr(x%2Ca)','http://en.wikipedia.org/wiki/Square_wave');
doc.add('Generators',		'genpul(x)'		,'',					'Pulse wave generator, Period 1, out values -1 to 1','C=1&F=1&G=1&E=0&R=0&GS=0.7&a=0.2&f1=genpul(x%2Ca)','http://en.wikipedia.org/wiki/Pulse_wave');
doc.add('Generators',		'genrnd(x)'		,'',					'Random generator, period 1, out values -1 to 1','2','');
doc.add('Generators',		'genrndl(x)'	,'linear interp.',		'Random generator, linear interpolation, period 1, out values -1 to 1','2','');
doc.add('Generators',		'genrndq(x)'	,'quadratic interp.',	'Random generator, quadratic interpolation, Period 1, out values -1 to 1','2','');
doc.add('Generators',		'genrndc(x)'	,'cubic interp.',		'Random generator, cubic interpolation, Period 1, out values -1 to 1','2','');
doc.add('Generators',		'gen(x [,which, n])' ,'all-in-one',		'Period 1, out values -1 to 1','C=1&F=1&G=1&E=0&R=0&GS=0.7&aMa=20&aA=1&aS=18.98&f1=gen(x%2Ca)','');
doc.add('Generators',		'genn(x [,which, n])' ,'0 to 1',		'Period 1, out values 0 to 1','C=1&F=1&G=1&E=0&R=0&GS=0.7&aMa=20&aA=1&aS=18.98&f1=genn(x%2Ca)','');

doc.add('Restrict',		'min(a,b [...])'	,'',				'Returns the input that has the lowest value',	'C=1&F=2&G=1&E=0&R=0&GS=0.7&a=-0.4&aMi=-1&f1=gen(x)&f2=min(f1(x)%2Ca)','');
doc.add('Restrict',		'max(a,b [...])'	,'',				'Returns the input that has the highest value',	'C=1&F=2&G=1&E=0&R=0&GS=0.7&a=-0.4&aMi=-1&f1=gen(x)&f2=max(f1(x)%2Ca)','');
doc.add('Restrict',		'clamp(x [,min=0,max=1])','',			'Restrict values within a interval (default interval 0 to 1)','C=2&F=5&G=1&E=0&R=0&GS=0.5&a=-0.4&aMi=-1&b=0.8&bMi=-1&f1=sin(x)&f2=clamp(f1(x),a,b)&f3=clampg(f1(x),a,b)&fe3=0&f4=clampw(f1(x),a,b)&fe4=0&f5=clampm(f1(x),a,b)&fe5=0','');
doc.add('Restrict',		'clampg(x [,min=0,max=1])','',			'Restrict values within a interval using gaussian distribution','C=2&F=5&G=1&E=0&R=0&GS=0.5&a=-0.4&aMi=-1&b=0.8&bMi=-1&f1=sin(x)&f2=clamp(f1(x),a,b)&fe2=0&f3=clampg(f1(x),a,b)&f4=clampw(f1(x),a,b)&fe4=0&f5=clampm(f1(x),a,b)&fe5=0','');
doc.add('Restrict',		'clampw(x [,min=0,max=1])','',			'Restrict values within a interval, wrap if outside','C=2&F=5&G=1&E=0&R=0&GS=0.5&a=-0.4&aMi=-1&b=0.8&bMi=-1&f1=sin(x)&f2=clamp(f1(x),a,b)&fe2=0&f3=clampg(f1(x),a,b)&fe3=0&f4=clampw(f1(x),a,b)&f5=clampm(f1(x),a,b)&fe5=0','');
doc.add('Restrict',		'clampm(x [,min=0,max=1])','',			'Restrict values within a interval, mirror if outside','C=2&F=5&G=1&E=0&R=0&GS=0.5&a=-0.4&aMi=-1&b=0.8&bMi=-1&f1=sin(x)&f2=clamp(f1(x),a,b)&fe2=0&f3=clampg(f1(x),a,b)&fe3=0&f4=clampw(f1(x),a,b)&fe4=0&f5=clampm(f1(x),a,b)','');
doc.add('Restrict',		'clip(x [,min=-1,max=1])','',			'Restrict values within a interval (default interval -1 to 1)','C=2&F=5&G=1&E=0&R=0&GS=0.5&a=-0.4&aMi=-1&b=0.8&bMi=-1&f1=sin(x)&f2=clip(f1(x),a,b)&f3=clipg(f1(x),a,b)&fe3=0&f4=clipw(f1(x),a,b)&fe4=0&f5=clipm(f1(x),a,b)&fe5=0','');
doc.add('Restrict',		'clipg(x [,min=-1,max=1])','',			'Restrict values within a interval using gaussian distribution','C=2&F=5&G=1&E=0&R=0&GS=0.5&a=-0.4&aMi=-1&b=0.8&bMi=-1&f1=sin(x)&f2=clip(f1(x),a,b)&fe2=0&f3=clipg(f1(x),a,b)&f4=clipw(f1(x),a,b)&fe4=0&f5=clipm(f1(x),a,b)&fe5=0','');
doc.add('Restrict',		'clipw(x [,min=-1,max=1])','',			'Restrict values within a interval, wrap if outside','C=2&F=5&G=1&E=0&R=0&GS=0.5&a=-0.4&aMi=-1&b=0.8&bMi=-1&f1=sin(x)&f2=clip(f1(x),a,b)&fe2=0&f3=clipg(f1(x),a,b)&fe3=0&f4=clipw(f1(x),a,b)&f5=clipm(f1(x),a,b)&fe5=0','');
doc.add('Restrict',		'clipm(x [,min=-1,max=1])','',			'Restrict values within a interval, mirror if outside','C=2&F=5&G=1&E=0&R=0&GS=0.5&a=-0.4&aMi=-1&b=0.8&bMi=-1&f1=sin(x)&f2=clip(f1(x),a,b)&fe2=0&f3=clipg(f1(x),a,b)&fe3=0&f4=clipw(f1(x),a,b)&fe4=0&f5=clipm(f1(x),a,b)','');

doc.add('Decimate',		'round(x [,decimals] )'	,'',			'Rounding function, rounds to nearest integer (or decimal if defined)','C=2&R=0&O=1&EH=44&OH=44&a=123.456789&aMa=177&b=4&bMi=-2&bMa=9&bI=1&Expr=out(a)%0Aout(round(a%2Cb))','http://en.wikipedia.org/wiki/Rounding');
doc.add('Decimate',		'floor(x)'		,'Floor function',		'Floor function, rounds down to the integer below', '2','w');
doc.add('Decimate',		'ceil(x)'		,'Ceiling function',	'Ceiling function, rounds up to the integer above', '2','w');
doc.add('Decimate',		'int(x)'		,'Integer function',	'Integer function, just discards decimals', '2','');
doc.add('Decimate',		'sgn(x)'		,'Sign',				'Sign function,\n returns the sign of the value\n sgn(x) = -1 if x<0\n sgn(x) = 0 if x=0\n sgn(x) = 1 if x>0', 'F=1&G=1&E=0&R=0&GS=0.7&f1=sgn(x)','http://en.wikipedia.org/wiki/Sgn');
doc.add('Decimate',		'H(x)'			,'Heaviside step',		'Heaviside step function\n H(x) = 0 if x<0\n H(x) = 1/2 if x=0\n H(x) = 1 if x>0','2','http://en.wikipedia.org/wiki/Heaviside_step_function');

//doc.add('Interpolation',		'u(x)' ,	'','t','t','t');

doc.add('Number Generation','rnd0()'		,'Range -1 &lt;1',		'Random values, [Uniform distribution], interval -1 to <1',				'1','http://en.wikipedia.org/wiki/Random_number_generation');
doc.add('Number Generation','rnd()'		,'Range 0 &lt;1',		'Random values, [Uniform distribution], interval 0 to <1',				'1','http://en.wikipedia.org/wiki/Random_number_generation', ['random()']);
doc.add('Number Generation','rndi(c)'		,'Integer, 0 &lt;c',	'Random integer values, [Uniform distribution], interval 0 to <c',	'C=1&F=1&G=1&E=0&R=0&GX=4.5&GY=4&GS=0.2&a=3&aMa=10&aI=1&f1=rndi(a)','http://en.wikipedia.org/wiki/Random_number_generation');
doc.add('Number Generation','rand()'		,'Integer, 0 &lt;2<sup>32</sup>','Random integer values, [Uniform distribution], interval 0 to <2^32 (32 bits)',	'F=1&G=1&E=0&R=0&f1=rand()/pow(2%2C32)','http://en.wikipedia.org/wiki/Random_number_generation');
doc.add('Number Generation','randn()'		,'Normal dist.',		'Normally distributed random values, Gaussian noise',						'C=1&F=2&G=1&E=0&R=0&GY=1.4&GS=1.5&GSY=0.3&GQ=85&a=0.4&f1=randn()*a&fs1=H2&f2=rnd0()*a&fs2=H2','http://en.wikipedia.org/wiki/Gaussian_noise');
doc.add('Number Generation','intHash(x)'	,'Integer Hash',		'Hash function, Integer input, out values 0 to <2^31, based on Bob Jenkins 32 bit hash','F=1&G=1&E=0&R=0&GS=0.16&f1=intHash(x)/pow(2%2C31)','http://en.wikipedia.org/wiki/Hash_function');
doc.add('Number Generation','hash(x)'		,'0 - &lt;1',			'The intHash() function scaled to the range 0 to <1','1','');
doc.add('Number Generation','hash0(x)'		,'-1 - &lt;1',			'The intHash() function scaled to the range -1 to <1','2','');

doc.add('Basic Math',		'sqr(x)'		,'x<sup>2</sup> (Square)','Square x','2','http://en.wikipedia.org/wiki/Square_(algebra)');
doc.add('Basic Math',		'cube(x)'		,'x<sup>3</sup> (Cube)',	'Cube x','2','http://en.wikipedia.org/wiki/Cube_(algebra)');
doc.add('Basic Math',		'sqrFlip(x)'	,'1-(1-x)<sup>2</sup> ', 'Square x Flipped','2','');
doc.add('Basic Math',		'cubeFlip(x)'	,'1-(1-x)<sup>3</sup>',	'Cube x Flipped','2','');
doc.add('Basic Math',		'sqrt(x)'		,'Square Root',			'Square Root','1','w');
doc.add('Basic Math',		'pow(b,x)'		,'b<sup>x</sup>',		'Power of, raise b to the power of x','C=1&F=1&G=1&E=0&R=0&GH=191&GS=0.8&a=3&aMi=-4&aMa=8&aI=1&f1=pow(x%2Ca)','http://en.wikipedia.org/wiki/Exponentiation');
doc.add('Basic Math',		'exp(x)'		,'e<sup>x</sup>',		'Exponentiation, raise e to the power x','1','http://en.wikipedia.org/wiki/Exponentiation');
doc.add('Basic Math',		'exp2(x)'		,'2<sup>x</sup>',		'Powers of two, raise 2 to the power of x','1','http://en.wikipedia.org/wiki/Exponentiation');
doc.add('Basic Math',		'log(x)'		,'Logarithm (e)',		'Natural Logarithm, base e logarithm','1','http://en.wikipedia.org/wiki/Logarithm',['ln(x)']);
doc.add('Basic Math',		'log10(x)'		,'Logarithm (10)',		'Common Logarithm, base 10 logarithm','1','http://en.wikipedia.org/wiki/Logarithm',['lg(x)']);
doc.add('Basic Math',		'log2(x)'		,'Logarithm (2)',		'Binary Logarithm, base 2 logarithm','1','http://en.wikipedia.org/wiki/Logarithm',['lb(x)']);
doc.add('Basic Math',		'logx(b,x)'		,'Logarithm (b)',		'The inverse of the pow function (using the same base), calculated log(x)/log(b)','C=1&F=3&G=1&E=0&R=0&GH=224&GX=0.9&GY=0.75&a=1.2&aMa=8&f1=logx(a%2Cx)&f2=pow(a%2Cx)&f3=f1(f2(x))','http://en.wikipedia.org/wiki/Logarithm');

doc.add('Math',			'isPrime(a)'	,'',					'Checks if a number is a prime','C=1&F=1&G=1&GW=499&GS=0.25&EH=24&a=43&aMa=99&aI=1&f1=isPrime(floor(x+a))&Expr=isPrime(a)','http://en.wikipedia.org/wiki/Prime_number');
doc.add('Math',			'primes(n)'		,'',					'Returns an array with all the primes in the range 0 to n','R=0&O=1&Expr=out(primes(100))','http://en.wikipedia.org/wiki/Prime_number');
doc.add('Math',			'gcd(u,v)'		,'Greatest com. div',	'The Greatest common divisor of two non-zero integers, is the largest positive integer that divides both numbers without remainder.','C=2&a=12&aMa=100&aI=1&b=66&bMa=100&bI=1&Expr=gcd(a%2Cb)','http://en.wikipedia.org/wiki/Greatest_common_divisor');
doc.add('Math',			'lcm(u,v)'		,'Least com. mul',		'The Least common multiple of two integers a and b is the smallest positive integer that is a multiple both of a and of b.','C=2&a=12&aMa=100&aI=1&b=66&bMa=100&bI=1&Expr=lcm(a%2Cb)','http://en.wikipedia.org/wiki/Least_common_multiple');
doc.add('Math',			'fact(n)'		,'Factorial',			'Factorials n>22 are not correct due to precision','R=0&O=1&W=543&EH=46&OH=172&Expr=for(i%3D0%3Bi<22%3Bi++)%0A out(i%2Cfact(i))%3B','http://en.wikipedia.org/wiki/Factorial');
doc.add('Math',			'fibo(n)'		,'Fibonacci nr',		'Fibonacci numbers, n>70 are not correct due to precision','R=0&O=1&W=543&EH=46&OH=172&Expr=for(i%3D0%3Bi<70%3Bi++)%0A out(i%2Cfibo(i))%3B','http://en.wikipedia.org/wiki/Fibonacci_number');
doc.add('Math',			'erf(x)'		,'Error function',		'aka Gauss Error function','2','http://en.wikipedia.org/wiki/Error_function');
doc.add('Math',			'erfi(x)'		,'Inverse Error f.',	'The Inverse of the Gauss Error function','2','http://en.wikipedia.org/wiki/Error_function');
doc.add('Math',			'pascalTriangle(rowCount)'	,'',		'Generates a number of rows of Pascals Triangle','C=1&F=1&G=1&R=0&O=1&W=504&GW=455&GH=168&GX=0.5&GY=2&GS=4&GSY=0.1&EH=60&OH=43&a=5&aMa=64&aI=1&f1=ff(x)/(exp2(a)/(a+1))&Expr=xx%3DpascalTriangle(65)[a]%3B%0Aout(xx)%3B%0Aff%3DaToFn(xx)%3B%0A','http://en.wikipedia.org/wiki/Pascals_Triangle');
doc.add('Math',			'ruler(x,m)'	,'(Integers)',			'The Ruler function, aka Thomaes function, popcorn function, raindrop function, Riemann function','C=1&F=1&G=1&E=0&R=0&GX=16&GY=5&GS=0.1&a=4&aMa=8&aI=1&f1=ruler(x%2Ca)','http://en.wikipedia.org/wiki/Ruler_function');
doc.add('Math',			'gamma(x)'		,'',					'The Gamma function (Real values)','1','http://en.wikipedia.org/wiki/Gamma_function');

doc.add('Trigonometry',	'sin(x)'		,'Sine',				'Sine','2','w');
doc.add('Trigonometry',	'cos(x)'		,'Cosine',				'Cosine','2','w');
doc.add('Trigonometry',	'tan(x)'		,'Tangent',				'Tangent','2','http://en.wikipedia.org/wiki/Trigonometric_functions#Tangent');
doc.add('Trigonometry',	'abs(x)'		,'Absolute value',		'Absolute Value\n\n  |x| = abs(x)',1,'w');
doc.add('Trigonometry',	'acos(x)'		,'Inverse cosine',		'Inverse Cosine, or Arc Cosine','F=1&G=1&E=0&R=0&W=400&GW=370&GH=200&GY=1.6&GS=0.5&f1=acos(x)','w');
doc.add('Trigonometry',	'asin(x)'		,'Inverse sine',		'Inverse Sine, or Arc Sine','2','w');
doc.add('Trigonometry',	'atan(x)'		,'Inverse tangent',		'Inverse Tangent, or Arc Tangent','2','w');
doc.add('Trigonometry',	'atan2(y,x)'	,'Inverse tangent',		'Inverse Tangent, 2 arguments','1','w');
doc.add('Trigonometry',	'sinh(x)'		,'Sine Hyperholic',		'Hyperholic Sine','2','http://en.wikipedia.org/wiki/Hyperbolic_function');
doc.add('Trigonometry',	'cosh(x)'		,'Cosine Hyperholic',	'Hyperholic Cosine','1','http://en.wikipedia.org/wiki/Hyperbolic_function');

doc.add('Complex Math',	'cadd(a,b)'		,'a + b',				'Complex Addition','C=2&F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=cadd([x%2Cy]%2C[a%2Cb])&fs1=2D','http://en.wikipedia.org/wiki/Complex_number');
doc.add('Complex Math',	'cmul(a,b)'		,'a * b',				'Complex Multiplication','C=2&F=1&G=1&E=0&R=0&W=495&b=1&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=cmul([x%2Cy]%2C[a%2Cb])&fs1=2D','http://en.wikipedia.org/wiki/Complex_number');
doc.add('Complex Math',	'csub(a,b)'		,'a - b',				'Complex Subtraction','C=2&F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=csub([x%2Cy]%2C[a%2Cb])&fs1=2D','http://en.wikipedia.org/wiki/Complex_number');
doc.add('Complex Math',	'cdiv(a,b)'		,'a / b',				'Complex Division','C=2&F=1&G=1&E=0&R=0&W=495&b=1&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=cdiv([x%2Cy]%2C[a%2Cb])&fs1=2D','http://en.wikipedia.org/wiki/Complex_number');
doc.add('Complex Math',	'cpow(a,b)'		,'a<sup>b</sup>',		'Complex Power of','C=2&F=1&G=1&E=0&R=0&W=495&a=1&b=0.25&aMa=8&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=cpow([x%2Cy]%2C[a%2Cb])&fs1=2D','');
doc.add('Complex Math',	'cneg(z)'		,' -z',					'Complex Negation','F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=cneg([x%2Cy])&fs1=2D','');
doc.add('Complex Math',	'cinv(z)'		,'1 / z',				'Complex Inverse','F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=cinv([x%2Cy])&fs1=2D','');
doc.add('Complex Math',	'csqr(z)'		,'z<sup>2</sup>',		'Complex Square','F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=csqr([x%2Cy])&fs1=2D','');
doc.add('Complex Math',	'cexp(z)'		,'e<sup>z</sup>',		'Complex Exponentiation','F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=cexp([x%2Cy])&fs1=2D','http://en.wikipedia.org/wiki/Exponential_function#On_the_complex_plane');
doc.add('Complex Math',	'clog(z)'		,'log(z)',				'Complex Natural Logarothm','F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=clog([x%2Cy])&fs1=2D','http://en.wikipedia.org/wiki/Complex_logarithm');
doc.add('Complex Math',	'cabs(z)'		,'|z|',					'Complex Absolute value, Magnitude','F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=cabs([x%2Cy])&fs1=2D','http://en.wikipedia.org/wiki/Absolute_value#Complex_numbers');
doc.add('Complex Math',	'csin(z)'		,'sin',					'Complex Sine','F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=csin([x%2Cy])&fs1=2D','');
doc.add('Complex Math',	'ccos(z)'		,'cos',					'Complex Cosine','F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=ccos([x%2Cy])&fs1=2D','');
doc.add('Complex Math',	'cconj(z)'		,'Conjugate',			'Complex Conjugate','F=1&G=1&E=0&R=0&W=495&GW=274&GH=201&GX=-0.04&GY=-0.02&GS=0.5&GQ=80&GQI=1&f1=cconj([x%2Cy])&fs1=2D','http://en.wikipedia.org/wiki/Complex_conjugate');
/*
doc.add('Matrices',		'mmul(m)'		,'Matrix Multiplication',					'','','');
doc.add('Matrices',		'diag(m)'		,'',					'','','');
doc.add('Matrices',		'matrixFlatten(m)'		,'',			'','','');
doc.add('Matrices',		'matrixIsIdentity(m)'	,'',			'','','');
doc.add('Matrices',		'matrixFromFlat(m)'		,'',			'','','');
doc.add('Matrices',		'matrixToEuler(m)'		,'',			'','','');
doc.add('Matrices',		'eulerToMatrix(m)'		,'',			'','','');
*/

doc.add('Time',	'year()'			,'',			'Get Current Second','R=0&O=1&Expr=out%28year%28%29%2C%20month%28%29%2C%20day%28%29%2C%20hour%28%29%2C%20minute%28%29%2C%20second%28%29%29','');
doc.add('Time',	'month()'			,'',			'Get Current Second','R=0&O=1&Expr=out%28year%28%29%2C%20month%28%29%2C%20day%28%29%2C%20hour%28%29%2C%20minute%28%29%2C%20second%28%29%29','');
doc.add('Time',	'day()'				,'',			'Get Current Second','R=0&O=1&Expr=out%28year%28%29%2C%20month%28%29%2C%20day%28%29%2C%20hour%28%29%2C%20minute%28%29%2C%20second%28%29%29','');
doc.add('Time',	'hour()'			,'',			'Get Current Second','R=0&O=1&Expr=out%28year%28%29%2C%20month%28%29%2C%20day%28%29%2C%20hour%28%29%2C%20minute%28%29%2C%20second%28%29%29','');
doc.add('Time',	'minute()'			,'',			'Get Current Second','R=0&O=1&Expr=out%28year%28%29%2C%20month%28%29%2C%20day%28%29%2C%20hour%28%29%2C%20minute%28%29%2C%20second%28%29%29','');
doc.add('Time',	'second()'			,'',			'Get Current Second','R=0&O=1&Expr=out%28year%28%29%2C%20month%28%29%2C%20day%28%29%2C%20hour%28%29%2C%20minute%28%29%2C%20second%28%29%29','');
		
doc.adS('Basic','Hello World!'		,'',				'',"C=1&R=0&O=1&a=1&aMa=4&aI=1&Expr=for%28i%3D0%3Bi%3Ca%3Bi++%29%0A%20out%28%22Hello%20World%21%22%29%3B",'');
doc.adS('Basic','Hello HTML'		,'',				'',"C=2&R=0&aA=1&b=70&bMa=200&bI=1&Expr=html(%22%3Cspan%20style%3D%27font-size%3A%22%20+b+%20%22px%3B%22)%0Ahtml(%22color%3A%22%20+aToColor(gradient(a%2C0.5))+%20%22%27%3E%22)%3B%0Ahtml(%22Hello%20%3CB%3EHTML%3C\/B%3E%3C\/span%3E%22)%3B",'');
doc.adS('Basic','Loop Template'		,'',				'',"R=0&O=1&EH=116&OH=129&S=3&ER=0&Expr=var%20i%2Cj%2Ck%2Cic%3D2%2Cjc%3D2%2Ckc%3D2%3B%0Afor%28k%3D0%3Bk%3Ckc%3Bk++%29%0A%20for%28j%3D0%3Bj%3Cjc%3Bj++%29%0A%20%20for%28i%3D0%3Bi%3Cic%3Bi++%29%0A%20%20%20out%28i+j*ic+k*ic*jc%2Ci%2Cj%2Ck%29%3B",'');

doc.adS('Misc','Interpolation'		,'',				'',"C=2&F=6&G=1&R=0&GX=5.6&GY=7.4&GS=0.4&GSY=0.2&EH=176&a=2&aMa=24&b=7&bMa=24&f1=xx.plain%28x%29&f2=xx.near%28x%29&f3=xx.quadratic%28x%29&fe3=0&f4=xx.cubic%28x%29&fe4=0&f5=xx.scaled%28x%29&fe5=0&f6=xx.scalenorm%28x%29&fe6=0&Expr=yy%3D%5B0%2C2%2C5%2C14%2C5%2C8%2C9%2C6%2C10%2C15%2C3%5D%3B%0Axx%3D%7B%7D%3B%0A%0Axx.plain%3DaToF%28yy%29%3B%0A%0Axx.near%3DaToF%28yy%2Cnearest%29%3B%0Axx.quadratic%3DaToF%28yy%2Cquadratic%29%3B%0Axx.cubic%3DaToF%28yy%2Ccubic%29%3B%0A%0Axx.scaled%3DaToF%28yy%2Clinear%2Ca%2Cb%29%3B%0A%0Axx.scalenorm%3DaToFn%28yy%29%3B%0A",'');
doc.adE('Misc','Function Resample'	,'',				'',"C=2&F=4&G=1&E=0&R=0&a=3&aMi=0.5&aMa=10&f1=sin%28x*2%29&f2=resample%28x%2Cf1%2Cnearest%2Ca%2Cb%29&f3=resample%28x%2Cf1%2Clinear%2Ca%2Cb%29&fe3=0&f4=resample%28x%2Cf1%2Ccubic%2Ca%2Cb%29&fe4=0",'');
doc.adS('Misc','Movable Points'		,'',				'',"F=2&G=1&R=0&O=1&GX=0.5&GY=0.5&GS=1.9&EH=285&f1=pF%28x%29&f2=pFi%28x%29&Expr=//%20%20p%20is%20a%20global%20array%20of%20movable%20points%2C%20%0A//%20%20insert%20and%20delete%20points%20by%20ctrl/shift-clicking%20the%20graph%0A%0A//%20%20pF%28%29%20returns%20a%20linear%20curve%0A//%20%20pFi%28%29%20returns%20the%20inverse%0A//%20%20aToXY%28%29%20converts%20from%20%5B1%2C2%2C3%2C4%5D%20To%20%5B%7Bx%3A1%2Cy%3A2%7D%2C%7Bx%3A1%2Cy%3A2%7D%5D%0A//%20%20xyToA%28%29%20does%20the%20reverse%0A//%20%20pC%28n%29%20returns%20the%20n%3Ath%20point%20as%20pair/Complex%20Value%20%5Bx%2Cy%5D%0A%0Aif%28first%29%0A%20p%20%3D%20aToXY%28%5B0%2C0%2C%200.25%2C0.1%2C%200.5%2C0.3%2C%201%2C1%5D%29%3B%0A%0Ap%3Dsort%28p%2Cfunction%28a%2Cb%29%7B%20return%20a.x-b.x%3B%7D%29%0A%0Aout%28p%5B0%5D.x%2C%20p%5B0%5D.y%29%3B%20%20//%20access%20points%20directly%20using%20x%2Cy%0Aout%28p%5B1%5D.x%2C%20p%5B1%5D.y%29%3B%0A%0Aout%28pC%282%29%29%3B%20%20%20%20%20%20%20%20%20%20%20//%20access%20point%202%20as%20a%20pair/Complex%0A%0Aout%28xyToA%28p%29%29%3B",'');

//doc.adS('Drawing','2D Input and Draw','',				'',"C=1&G=1&R=0&W=596&GW=546&GH=245&EH=391&aA=1&aS=2.66&Expr=drawOverride%3Dfunction%28%29%7B%0A%20var%20mx%3DmouseX%2C%20my%3DmouseY%2C%20w%3Dwidth%2C%20h%3Dheight%3B%0A%20if%28mx%3C0%20%7C%7C%20mx%3E%3Dw%7C%7C%20my%3C0%20%7C%7C%20my%3E%3Dh%29%20%7B%0A%20%20mx%3Dw/2%3B%0A%20%20my%3Dh/2%3B%0A%20%7D%0A%20noStroke%28%29%3B%0A%20fill%28125%2C128%29%0A%20triangle%280%2C0%2Cmx%2Cmy%2C0%2Ch%29%3B%0A%20triangle%28w%2C0%2Cmx%2Cmy%2Cw%2Ch%29%3B%0A%20fill%28180%2C128%29%0A%20triangle%280%2C0%2Cw%2C0%2Cmx%2Cmy%29%3B%0A%20fill%2860%2C128%29%0A%20triangle%280%2Ch%2Cmx%2Cmy%2Cw%2Ch%29%3B%0A%20if%28mousePressed%29%0A%20%20fill%28gradient%28a%2C0.5%29%29%3B%0A%20else%0A%20%20fill%28255%29%3B%0A%20circle%28mx%2Cmy%2C8%29%3B%0A%20stroke%280%29%3B%0A%20ellipse%28mx+40*gen%28a%29%2Cmy+40*gencos%28a%29%2C5+2*gen%28a*3%29%2C5+2*gencos%28a*2%29%29%0A%20stroke%28250%2C100%2C0%29%3B%0A%20fill%28250%2C100%2C0%2C20%29%0A%20beginShape%28%29%3B%0A%20for%28i%3D0%3Bi%3C30%3Bi++%29%0A%20%20vertex%28mx+20*gen%28i/30%29+gen%28a+4*i/30%29%2Cmy+20*gencos%28i/30%29%29%3B%0A%20endShape%28CLOSE%29%3B%0A%7D%0A",'');
doc.adS('Drawing','2D Input','',						'',"C=1&G=1&R=0&GH=245&EH=162&a=83&aMa=99&aI=1&aA=1&Expr=drawOverride%3Dfunction%28%29%7B%0A%20stroke%280%29%3B%0A%20fill%280%2C0%2C40%29%3B%0A%20rect%280%2C0%2Cwidth%2Cheight%29%0A%20fill%2860%29%3B%0A%20circle%28mouseX%2CmouseY%2C20%29%3B%0A%20if%28mousePressed%29%20%7B%0A%20%20fill%28rndi%28256%29%2Crndi%28256%29%2Crndi%28256%29%29%3B%0A%20%20circle%28mouseX%2CmouseY%2C12%29%3B%0A%20%7D%0A%7D%0A",'');
doc.adS('Drawing','3D Cube'			,'',				'',"C=2&G=1&R=0&GW=345&GH=302&GS=0.36&EH=252&aMa=2*pi&aA=1&aS=17.29&b=0.4&Expr=drawOverride%3Dfunction%28%29%20%7B%0Afill%2850%29%3B%0Arect%280%2C0%2Cwidth%2Cheight%29%3B%0Astroke%280%29%3B%0AplotSpace%28%29%3B%0ArotateX%28a*2%29%3B%0ArotateY%28a%29%3B%0Avar%20x%3D1+b*sin%28a%29%3B%0Afill%28255%2C70%2C0%2C70%29%3B%20quad%28-x%2C-x%2C-x%2C%20x%2C-x%2C-x%2C%20x%2Cx%2C-x%2C%20-x%2Cx%2C-x%29%3B%0Afill%280%2C150%2C255%2C70%29%3B%20quad%28-x%2C-x%2C%20x%2C%20x%2C-x%2C%20x%2C%20x%2Cx%2C%20x%2C%20-x%2Cx%2C%20x%29%3B%0Ax%3D1+b*sin%28a*3%29%3B%0Afill%28255%2C255%2C255%2C60%29%3B%20quad%28-x%2C-x%2C-x%2C%20-x%2C-x%2Cx%2C%20x%2C-x%2Cx%2C%20x%2C-x%2C-x%29%3B%0Afill%28255%2C255%2C255%2C60%29%3B%20quad%28-x%2C%20x%2C-x%2C%20-x%2C%20x%2Cx%2C%20x%2C%20x%2Cx%2C%20x%2C%20x%2C-x%29%3B%0Ax%3D1+b*sin%28a*2%29%3B%0Afill%28255%2C150%2C60%2C60%29%3B%20quad%28-x%2C-x%2C-x%2C%20-x%2Cx%2C-x%2C%20-x%2Cx%2Cx%2C%20-x%2C-x%2Cx%29%3B%0Afill%28255%2C150%2C60%2C60%29%3B%20quad%28x%2C-x%2C-x%2C%20%20x%2Cx%2C-x%2C%20%20x%2Cx%2Cx%2C%20%20x%2C-x%2Cx%29%3B%0A%7D",'');
//doc.adS('Drawing','Plot Space'		,'',				'',"C=1&G=1&R=0&GH=266&GX=30&GY=28&GS=0.03&EH=483&a=0.2&Expr=draw%3Dfunction%28%29%20%7B%0A%20plotSpace%28%29%3B%0A%20rotate%28a%29%0A%20drawtest%28%29%3B%0A%0A%20screenSpace%28%29%3B%0A%20drawtest%28%29%3B%0A%7D%0A%0Afunction%20drawtest%28%29%20%7B%0AnoStroke%280%29%3B%0Afill%28255%29%0Arect%282%2C2%2C1%2C1%29%3B%0Arect%283%2C3%2C1%2C1%29%3B%0Ascale%2810%29%3B%0Atranslate%282%2C2%29%3B%0Astroke%280%29%3B%0A%0Afill%28255%2C0%2C0%2C64%29%0Aquad%28-1%2C-1%2C1%2C-1%2C1%2C1%2C-1%2C1%29%3B%0A%0Afill%280%2C255%2C0%2C64%29%0Atranslate%282%2C0%2C0%29%3B%0Aquad%28-1%2C-1%2C1%2C-1%2C1%2C1%2C-1%2C1%29%3B%0A%0Afill%280%2C0%2C255%2C64%29%0Atranslate%280%2C2%2C0%29%3B%0Aquad%28-1%2C-1%2C1%2C-1%2C1%2C1%2C-1%2C1%29%3B%0A%0Afill%28255%2C255%2C0%2C128%29%0Ascale%280.5%29%3B%0Arotate%280.7854%29%3B%0Aquad%28-1%2C-1%2C1%2C-1%2C1%2C1%2C-1%2C1%29%3B%0A%7D",'');
//doc.adS('Drawing','Draw spaces'		,'',				'',"G=1&R=0&GH=266&GX=30&GY=20&GS=0.04&EH=159&Expr=draw%3Dfunction%28%29%20%7B%0A%20noStroke%28%29%3B%0A%20fill%2830%2C90%2C140%29%3B%0A%0A%20plotSpace%28%29%3B%0A%20triangle%2810%2C10%2C%2040%2C40%2C%2050%2C20%29%3B%0A%0A%20screenSpace%28%29%3B%0A%20triangle%2810%2C10%2C%2040%2C40%2C%2050%2C20%29%3B%0A%7D%0A%0A",'');

doc.adS('Audio','Sound Experiment'	,'',				'',"C=2&F=3&R=0&EH=24&a=-1.5&aMi=-5&bMi=-6&bI=1&f1=genpul%28x*f2%28x%29%2C0.5+0.4*gen%28x*0.2%29%29&fe1=0&f2=440*exp2%28a-floor%28x*8%29*b/12%29&fe2=0&f3=f1%28x*0.3333%29+f1%28x%29+f1%28x*1.666%29&S=3&SLE=0.8&SPM=1&Expr=setup%3Dplay%3B",'');
doc.adS('Audio','Test Sweep'	,'',					'',"F=1&G=1&E=0&R=0&GS=2&GSY=0.47&GQ=70&GQI=1&f1=x%3C-1%7C%7Cx%3E1%3Frnd0%28%29%3Agen%28sq%28x+1%29*22050/4%29&fs1=S&S=2",'');
doc.adE('Audio','Noise Sweep'	,'',					'',"F=1&G=1&E=0&R=0&W=585&GW=531&GX=3&GY=0.37&GS=0.77&GSY=3&GQ=70&f1=genrndq%28exp%28x+4%29%29/%282+x%29&fs1=S&S=1",'');
doc.adE('Audio','Mirrow Clip Sweep'	,'',				'',"C=1&F=3&G=1&E=0&R=0&W=634&GW=580&GH=192&GX=4.6&GS=0.59&GQ=80&a=2&aMi=0.5&aMa=4&f1=%28gentri%28a*x*200%29+gentri%28a*x*125%29+gentri%28a*x*150%29%29/3&fe1=0&f2=1.001-signedPow%28clamp%28%288-x%29/8%29%2C1/4%29&fe2=0&f3=clipm%28f1%28x%29%2C-f2%28x%29%2Cf2%28x%29%29&S=3&SLE=9",'');
doc.adE('Audio','Oversampled Square'	,'',			'',"F=1&G=1&E=0&R=0&GX=3.5&GS=0.8&f1=gensqr%28exp%28x%29%29&S=1&SOS=32",'');
doc.adE('Audio','Dark FM'	,'',						'',"F=1&G=1&E=0&R=0&GX=3.96&GY=0.025&GS=0.75&GSY=50&GQ=67&f1=sin%28pi*8*x*%281+%281+sin%282*pi*x*40%29%29/4%29%29*0.4&fs1=S&S=1&SLE=8",'');
doc.adE('Audio','Giana Sisters Theme'	,'',			'',"C=1&F=2&G=1&R=0&GW=523&GX=2&GS=1.5&EH=146&a=5&f1=xx%28x%2Caa%2C16%2C3%2C2%29&f2=xx%28x%2Cbb%2C1%2C-21%2C5%29&Expr=aa%3D%5B5%2C0%2C7%2C0%2C8%2C0%2C%207%2C0%2C%205%2C0%2C10%2C0%2C8%2C0%2C7%2C0%2C%0A%20%20%20%205%2C0%2C7%2C0%2C8%2C0%2C10%2C0%2C12%2C0%2C10%2C0%2C8%2C0%2C7%2C0%2C%0A%20%20%20%205%2C0%2C7%2C0%2C8%2C0%2C%207%2C0%2C%205%2C0%2C10%2C0%2C8%2C0%2C7%2C0%2C%0A%20%20%20%204%2C0%2C5%2C0%2C7%2C0%2C%208%2C0%2C10%2C0%2C12%2C0%2C8%2C0%2C7%2C0%5D%3B%0Abb%3D%5B5%2C3%2C1%2C0%5D%3B%0Axx%3Dfunction%28x%2Cdata%2Cstep%2Cbase%2Cm%29%20%7B%0A%20var%20freq%3D440*exp2%28%28data%5Bfloor%28%28x%29*step%29%5D+base%29/12%29%3B%0A%20return%20genpul%28x*freq%2C0.5+0.4*sin%28x*m%29%29%3B%0A%7D%0A&S=1&SLE=13",'');

doc.adS('Fractal','Julia Animation','',					'',"C=2&F=1&G=1&R=0&W=579&GW=525&GH=301&GS=0.774&GQ=80&EH=234&a=16&aMa=100&aI=1&b=5.9482811062647&bMa=2*pi&bA=1&bS=20.8&f1=xx(x%2Cy)&fs1=2D&Expr=cc%3Dcos(b)*0.4%3B%0Abb%3Dsin(b)%3B%0A%0Axx%3Dfunction(x%2Cy) {%0A var i%2Cxx%3Dx*x%2Cyy%3Dy*y%3B%0A for(i%3D0%3Bi<a%3Bi++) {%0A  y%3D(x+x)*y+bb%3B%0A  x%3Dxx-yy+cc%3B%0A  yy%3Dy*y%3B%0A  xx%3Dx*x%3B%0A  if(xx+yy>4) {%0A   y%3D(x+x)*y+bb%3B%0A   x%3Dxx-yy+cc%3B%0A   yy%3Dy*y%3B%0A   xx%3Dx*x%3B%0A   break%3B%0A  }%0A }%0A return i/a%3B%0A}%0A",'');
doc.adS('Fractal','Mandelbrot Fractal','',				'',"C=1&F=1&G=1&R=0&W=500&GW=410&GH=320&GX=-0.5&GS=0.8&GQ=90&GQI=1&EH=130&a=23&aMi=1&aMa=128&f1=mm(x%2Cy)&fs1=2D&Expr=mm%3Dfunction(x%2Cy) {%0A var R%2Cj%2Cr%3Dx%2Ci%3Dy%3B%0A for(j%3D0%3Bj<a %26%26 r*r + i*i <%3D 4%3Bj++) {%0A  R %3D r*r - i*i + x%3B%0A  i %3D 2*r*i + y%3B%0A  r %3D R%3B%0A }%0A return -cos(j*0.2)*0.5+0.5%3B%0A}",'');
doc.adS('Fractal','Complex Mandelbrot','',				'',"C=1&F=1&G=1&R=0&W=500&GW=410&GH=320&GX=-0.5&GS=0.8&GQ=80&GQI=1&EH=130&a=8&aMi=1&aMa=16&aI=1&f1=mm(x%2Cy)&fs1=2D&Expr=mm%3Dfunction(x%2Cy) {%0A var R%2Cj%2Cr%3Dx%2Ci%3Dy%3B%0A for(j%3D0%3Bj<a %26%26 r*r + i*i <%3D 4%3Bj++) {%0A  R %3D r*r - i*i + x%3B%0A  i %3D 2*r*i + y%3B%0A  r %3D R%3B%0A }%0A return j%3D%3Da%3F[0%2C0]%3A[r%2Ci]%3B%0A}",'');
doc.adS('Fractal','Recursive Fractal'	,'',			'',"C=2&G=1&R=0&W=571&GW=517&GH=256&GX=0.5&GY=0.25&GS=3.7&EH=370&a=4&aMa=5&aI=1&b=0.8&Expr=var%20angle%3Dsqrt%28b%29*pi/2%3B%0Avar%20size%3D2*%281+cos%28angle%29%29%3B%0A%0Adraw%20%3D%20function%28w%2Ch%29%20%7B%0A%20plotSpace%28%29%3B%0A%20beginShape%28%29%3B%0A%20vertex%280%2C0%29%3B%0A%20rec%28%5B0%2C0%5D%2C%5B1%2C0%5D%2C0%29%3B%0A%20endShape%28%29%3B%0A%7D%0A%0Afunction%20ro%28p%2Cv%2Ca%29%20%7B%0A%20p%5B0%5D+%3Dv%5B0%5D%3B%0A%20p%5B1%5D+%3Dv%5B1%5D%3B%0A%20return%20%5B%20cos%28a%29*v%5B0%5D+sin%28a%29*v%5B1%5D%2C%20cos%28a%29*v%5B1%5D-sin%28a%29*v%5B0%5D%20%5D%3B%0A%7D%0A%0Afunction%20rec%28p%2Cv%2Ci%29%20%7B%0A%20if%28i%3Ea%29%20%7B%0A%20%20vertex%28p%5B0%5D+v%5B0%5D%2Cp%5B1%5D+v%5B1%5D%29%3B%0A%20%20return%3B%0A%20%7D%0A%20i++%3B%0A%20p%3Dp.slice%280%29%3B%0A%20v%3Dv.slice%280%29%3B%0A%20v%5B0%5D/%3Dsize%3B%0A%20v%5B1%5D/%3Dsize%3B%0A%20rec%28p%2Cv%2Ci%29%3B%0A%20v%3Dro%28p%2Cv%2C-angle%29%3B%20%20%20%20rec%28p%2Cv%2Ci%29%3B%0A%20v%3Dro%28p%2Cv%2C2*%20angle%29%3B%20rec%28p%2Cv%2Ci%29%3B%0A%20v%3Dro%28p%2Cv%2C-angle%29%3B%20%20%20%20rec%28p%2Cv%2Ci%29%3B%0A%7D",'');

//doc.add('Plots','Basic'				,'',				'','F=1&G=1&E=0&R=0&GS=0.3&f1=sin(x)','http://en.wikipedia.org/wiki/Graph_of_a_function#Examples');
//doc.add('Plots','Ghost Derivative X 3'	,'',			'','F=1&G=1&E=0&R=0&GS=0.56&f1=clampg(x%2C-1%2C1)&fs1=D3','http://en.wikipedia.org/wiki/Derivative');
doc.adE('Plots','Repeated plot'	,'',					'','F=1&G=1&E=0&R=0&GS=0.3487062538363106&GQ=70&f1=sin(x+y*x/3)+y/3&fs1=M','');
doc.adS('Plots','Gaussian Function'	,'',				'',"C=3&F=2&G=1&E=0&R=0&GY=0.5&a=1&bMi=-1&bS=40&c=0.5&cS=40&f1=a*exp(%20-(x-b)*(x-b)%20/%20(2*c*c)%20)&f2=f1(x)*f1(y)&fs2=2D",'');
doc.adE('Plots','Generators'		,'',				'',"C=1&F=6&G=1&E=0&R=0&GH=310&GY=-0.9&GS=0.4&GSY=0.33&aMa=20&aA=1&aS=20&f1=gen(x,a)&oy1=4.4&f2=gensqr(x)&oy2=2.2&f3=gensaw(x)&oy3=0&f4=gentri(x)&oy4=-2.2&f5=gensin(x)&oy5=-4.4&f6=genrnd(x)&oy6=-6.6",'');
doc.adE('Plots','2D FM Synthesis', '0 to 1',			'','C=1&F=1&G=1&E=0&R=0&GW=340&GH=340&GX=8&GY=8&GS=0.128&GQ=80&GQI=1&a=0.05&aMa=0.1&f1=sin(a*x*y*sin(x)*sin(y))&fs1=2D','');
doc.adS('Plots','2D FM Synthesis', 'full range', 		'','C=1&F=1&G=1&E=0&R=0&GW=340&GH=340&GX=8&GY=8&GS=0.128&GQ=80&GQI=1&a=0.05&aMa=0.1&f1=sin(a*x*y*sin(x)*sin(y))&fs1=25','');
doc.adS('Plots','2D Polar Wave'				,'',		'',"C=2&F=1&G=1&E=0&R=0&W=475&GW=423&GH=244&GQ=90&GQI=1&a=1&aMa=16&aI=1&b=1&bMi=-1&bMa=10&f1=sin(b/(x+0.05)-y*a)&fs1=2P",'');
doc.adS('Plots','2D Polar Radial Twist'		,'',		'',"C=1&F=1&G=1&E=0&R=0&W=650&GW=370&GH=330&GS=0.15&GQ=80&GQI=1&a=9&aMi=-10&aMa=10&f1=sin(a*cos(sqrt((x*x)+(y*y)))+5*atan2(y%2Cx))*0.5+0.5&fs1=2D",'');
doc.adS('Plots','2D Bitwise OR Animation','',			'',"C=1&F=1&G=1&E=0&R=0&W=481&GW=387&GH=383&GX=63&GY=63&GS=0.015665796344647518&GQ=70&aMa=128&aA=1&f1=(x^y)/a&fs1=2D",'');
doc.adS('Plots','RGB Graphing'		,'',				'',"C=1&F=1&G=1&E=0&W=479&GW=486&GH=277&GS=0.37384644989251536&GQ=70&a=0.8028514559173915&aMa=2*pi&aS=20.25&f1=[sin(x*x*y-a)%2Csin(x*x*y)%2Csin(x*x*y+a)]&fs1=2C",'');
doc.adE('Plots','Parametric 3D Helix','',				'',"C=1&F=2&G=1&E=0&R=0&GW=482&GH=290&GS=0.5&aMa=2*pi&aA=1&f1=[sin(x*20)%2Cx%2Ccos(x*20)]&fe1=0&f2=rot(f1(x)%2C0%2Ca)&fs2=3D",'');
doc.adE('Plots','Parametric 3D Cone','',				'',"C=1&F=2&G=1&E=0&R=0&W=509&GW=437&GH=229&GS=0.3&aMa=2*pi&aA=1&aS=25.36&f1=[sin(x*50)*(x-1)%2Cx*2%2Ccos(x*50)*(x-1)]&fe1=0&f2=rot(f1(x)%2Ca%2Ca*2%2Ca*3)&fs2=3D",'');
doc.adS('Plots','Parametric 3D Torus','',				'',"C=3&F=4&G=1&E=0&R=0&GW=512&GH=282&Rot=0.9305631084826901%2C0.03618426245693525%2C-0.02433351779764113&a=7&aMa=32&aI=1&b=0.4&c=1.8301899420927805&cMa=2*pi&cA=1&cS=0.95&f1=b*sin%28x*a+c%29&fe1=0&f2=%281-b*%281-cos%28x*a+c%29%29%29&fe2=0&f3=[cos%28x%29*f2%28x%29%2C%20sin%28x%29*f2%28x%29%2C%20f1%28x%29]&fe3=0&fs3=3D&f4=f3%28x*pi%29&fs4=3D",'');
doc.adS('Plots','Sphere Landscape'	,'',				'',"C=1&F=1&G=1&E=0&R=0&GH=280&GS=0.7&GQ=70&Rot=0.8%2C0%2C0&a=0.5&aMa=3&f1=pow(max(0%2C1-x*x-y*y)%2Ca)&fs1=V",'');
doc.adE('Plots','Complex Spectrogram'	,'',			'',"C=2&F=1&G=1&E=0&R=0&GW=330&GH=518&GX=0.5&GY=0.5&GS=1915&GSY=0.001&GQ=80&a=4000&aMa=9000&b=1&f1=gen%28x*a%29+gen%28x*a*2%29+gen%28x*a*3%29+gen%28x*a*4%29*b&fs1=SC&S=3",'');
doc.adE('Plots','Spectrogram message'	,'',			'',"F=1&G=1&R=0&GW=374&GH=280&GX=1.563&GQ=80&GQI=1&EH=253&f1=ff%28x%29&fs1=S&S=1&SOS=15&ER=0&Expr=aa%3D%5BaToXY%28%5B0%2C-1%2C0.3%2C-1%2C0.3%2C1.2%2C0.6%2C1.9%2C0.8%2C1.5%2C1.0%2C1.9%2C1.2%2C%0A1.2%2C1.2%2C-1%2C1.4%2C-1%2C1.4%2C1.2%2C1.7%2C1.9%2C2%2C1.2%2C2%2C-1%2C2.2%2C-1%2C%0A2.2%2C1.2%2C2.2%2C1.9%2C2.4%2C1.9%2C2.5%2C1.7%2C2.6%2C1.5%2C2.6%2C-1%5D%29%2C%0AaToXY%28%5B0%2C-1%2C0.3%2C-1%2C0.3%2C0.9%2C1.1%2C1%2C1.1%2C-1%2C1.3%2C-1%2C%0A1.3%2C0.1%2C1.5%2C0.9%2C1.9%2C0.9%2C1.9%2C-1%2C2.2%2C-1%2C2.2%2C0.1%2C2.5%2C1%2C2.8%2C0.2%2C2.8%2C-11%5D%29%2C%0AaToXY%28%5B0%2C-1%2C0.2%2C-1%2C0.2%2C0.1%2C0.4%2C-0.7%2C1%2C-0.7%2C1%2C-1%2C1.2%2C-1%2C1.2%2C-0.7%2C1.6%2C%0A0%2C1.9%2C-0.7%2C1.9%2C-1%2C2.1%2C-1%2C2.1%2C-0.7%2C2.3%2C0%2C2.6%2C0%2C2.7%2C-0.3%2C2.6%2C-1%5D%29%2C%0AaToXY%28%5B0%2C-1%2C0.6%2C-1%2C0.6%2C1.1%2C0.8%2C0.2%2C0.8%2C-1%2C1.3%2C-1%2C1.3%2C0.3%2C1.9%2C0.3%2C1.9%2C%0A-1%2C2.2%2C-1%2C2.2%2C2%2C2.3%2C1.2%2C2.5%2C1.2%2C2.6%2C1.7%2C2.6%2C-1%5D%29%2C%0AaToXY%28%5B0%2C-1%2C1.4%2C-1%2C1.4%2C0.6%2C1.9%2C0.6%2C1.9%2C-1%2C2.2%2C%0A-1%2C2.2%2C-0.3%2C2.6%2C-0.3%2C2.7%2C-0.5%2C2.7%2C-1%5D%29%2C%0AaToXY%28%5B0%2C-1%2C1.5%2C-1%2C1.5%2C1.4%2C1.9%2C1.4%2C1.9%2C-1%2C2.1%2C%0A-1%2C2.1%2C-0.7%2C2.6%2C-0.7%2C2.7%2C-0.5%2C2.7%2C-1%5D%29%0A%5D%3B%0Avar%20per%3D0%2Ci%2Cj%2Cn%3D44100*3%3B%0Axx%3Dca%28n%2C0%29%3B%0Afor%28j%3D0%3Bj%3Caa.length%3Bj++%29%0Afor%28i%3D0%3Bi%3Cn%3Bi++%29%0A%20xx%5Bi%5D+%3Dgen%28%20%20per%3D%20%28%20%28per+0.15+0.15*pF%28i/44100%2Caa%5Bj%5D%29%29%251%20%29%20%20%20%29%3B%0Aff%3DaToF%28xx%2Clinear%2C0%2C3%29%3B",'');

doc.adS('Fun & Misc',	'Unicode Glyph Browser'	,'',			'',"C=1&R=0&a=2&aMa=640&aI=1&Expr=html%28%22%3Ctable%3E%3Ctr%3E%22%29%3B%0D%0Afor%28y%3D0%3By%3C16%3By++%2Chtml%28%22%3C/tr%3E%3Ctr%3E%22%29%29%0D%0A%20for%28x%3D0%3Bx%3C16%3Bx++%29%20%0D%0A%20%20html%28%20%22%3Ctd%20style%3D%27width%3A28px%3Bfont-size%3A17px%27%3E%22%0D%0A%20%20%20%20%20%20%20%20+%20String.fromCharCode%28x+%28y+a%29*16%29%20+%20%22%3C/td%3E%22%29%3B%0D%0Ahtml%28%22%3C/tr%3E%3C/table%3E%22%29%3B",'');
doc.adS('Fun & Misc',	'Gamma Calibration'	,'',				'',"C=1&G=1&R=0&GW=384&GH=320&EH=200&a=2.2&aMi=0.4&aMa=4&Expr=drawOverride%3Dfunction%28%29%20%7B%0A%20var%20y%2Cny%2Cl%2Cm%2Ci%2Cn%2Cw%3Dceil%28width/5%29%3B%0A%20for%28y%3D0%3By%3Cheight%3By++%29%20%7B%0A%20%20l%3D1-y/height%3B%0A%20%20m%3Dy%261%3F%20l*2%20%3A%20l*2-1%3B%0A%20%20l%3Dpow%28l%2C1/a%29%3B%20m%3Dpow%28m%2C1/a%29%3B%0A%20%20n%3D%5Bm%2Cm%2Cm%2C%20l%2Cl%2Cl%2C%20m%2Cl%2Cl%2C%20l%2Cm%2Cl%2C%20l%2Cl%2Cm%5D%3B%0A%20%20for%28i%3D0%3Bi%3C5%3Bi++%29%20%7B%0A%20%20%20color%28aToColor%28%5Bn%5Bi*3%5D%2Cn%5Bi*3+1%5D%2Cn%5Bi*3+2%5D%5D%29%29%3B%0A%20%20%20drawFillRect%28i*w%2Cy%2Cw%2C1%29%3B%0A%20%20%7D%0A%20%7D%0A%7D",'');

doc.adS('Fun & Misc',	'Animated Tunnel'	,'',				'',"C=1&F=1&G=1&E=0&R=0&W=567&GW=469&GH=331&GS=0.000028&GQ=80&aMa=2*pi&aA=1&aS=0.94&f1=%5Bpow%28x%2C7%29%2Cx*26-a%5D&fs1=P",'');
doc.adS('Fun & Misc',	'Polar Plot'	,'Legalize',			'','C=1&F=3&G=1&E=0&R=0&W=520&GW=358&GH=276&GY=1.76&GS=0.38&GQ=80&aMa=2*pi&aA=1&f1=(1+0.9*cos(8*x)) * (1+0.1*cos(24*x))&fe1=0&f2=f1(x) * (0.9+0.05*cos(200*x+a)) * (1+sin(x))&fe2=0&f3=[f2(x)%2C-pi*0.5+x]&fs3=P','');
doc.adS('Fun & Misc',	'Minimal Clock'		,'',				'',"C=1&F=3&G=1&E=0&R=0&W=632&GW=240&GH=238&a=1&aMa=4&aI=1&aA=1&f1=[x*0.08%2C(hour()+minute()/60)*2*pi/12 + 0.6*sin(x*10)/(x+0.4)]&fs1=P&f2=[x*0.14%2Cminute()*2*pi/60 + 0.3*sin(x*16)/(x+0.1)]&fs2=P&f3=[x*0.15%2Csecond()*2*pi/60]&fs3=P",'');
doc.adE('Fun & Misc',	'Perlin Noise','Linear',				'',"C=1&F=2&G=1&E=0&R=0&W=631&GW=577&GH=297&GS=0.12314308455059479&GQ=80&GQI=1&a=2&aMa=20&f1=genrndl(x+floor(y)*a)&fe1=0&f2=lerp(y-floor(y),f1(x,y),f1(x,y+1))*9&fs2=2D",'');
doc.adE('Fun & Misc',	'Perlin Noise','Quadratic',				'',"C=1&F=2&G=1&E=0&R=0&W=631&GW=577&GH=297&GS=0.12314308455059479&GQ=80&GQI=1&a=2&aMa=20&f1=genrndq(x+floor(y)*a)&fe1=0&f2=quadrint4(y-floor(y),f1(x,y-1),f1(x,y),f1(x,y+1),f1(x,y+2))*9&fs2=2D",'');
doc.adS('Fun & Misc',	'RGB Perlin Noise','In 5 Steps!',		'',"C=1&F=5&G=1&E=0&R=0&W=650&GW=596&GH=198&GS=0.5&GQ=80&GQI=1&a=94&aMa=99&f1=hash(floor(x))&fe1=0&f2=quadrint4(x-floor(x),f1(x-1),f1(x),f1(x+1),f1(x+2))&fe2=0&f3=f2(x+floor(y)*a)&fe3=0&fs3=2D&f4=quadrint4(y-floor(y),f3(x,y-1),f3(x,y),f3(x,y+1),f3(x,y+2))&fe4=0&fs4=2D&f5=gradient(f4(x,y)*5,sin(f4(y,-x)*40)*0.3+0.35)&fs5=2D",'');
doc.adS('Fun & Misc',	'RGB Heart Function','',				'',"F=1&G=1&E=0&R=0&W=524&GW=298&GH=230&GY=0.1&GS=1&GQ=80&f1=[pow(x*x+y*y-0.5%2C3)-x*x*y*y*y<0%2C0%2C0.2-y*0.1]&fs1=2C",'');
doc.adS('Fun & Misc',	'DNA Heart Animation'	,'for Kai',		'',"C=2&R=0&W=531&EH=68&a=5&aMa=16&aI=1&aA=1&b=20&bMi=1&bMa=64&Expr=html%28%22%3Ccode%3E%22%29%3B%20for%28y%3D1%3By%3E-.8%3By-%3D2/b%29%20%7B%20for%28x%3D-1%3Bx%3C1%3Bx+%3D1/b%29%20%0A%20%20html%28%27%3Cspan%20style%3D%22color%3A%23%27+%28pow%28x*x+y*y-0.5%2C3%29-x*x*y*y*y%3C0%20%3F%20%0A%20%20%5B%27FFAA66%22%3EA%27%2C%27FF9922%22%3EC%27%2C%27FF5500%22%3EG%27%2C%27FF0000%22%3ET%27%5D%5Brndi%284%29%5D%0A%20%20%20%3A%27FF4422%22%3E.%27%29%20+%27%3C/span%3E%27%29%3B%20html%28%22%3Cbr%3E%22%29%3B%20%7D%20html%28%22%3C/code%3E%22%29%3B",'');
//doc.adS('Fun & Misc',	'Gauss Checkers'	,'',				'',"C=1&F=2&G=1&E=0&R=0&GH=252&GQ=80&a=0.03&aMa=.5&f1=f2(x+randn()*a,y+randn()*a)&fs1=2D&f2=(floor(x)%261)^(floor(y)%261)&fe2=0&fs2=2D",'');
doc.adE('Fun & Misc',	'Obfuscation'		,'',				'',"R=0&O=1&W=650&OH=340&ER=0&Expr=var%20l%3D2001,o,O,_,I,D;for(;O%3DI%3Dl/571.-1.75,l;)for(putc(--l%2580%3Fi:10)%0A,o%3DD%3Dl%2580*.05-2,i%3D31;_%3DO*O,O%3D2*o*O+I,o%3Do*o-_+D,o+_+_<4+D%26i++<87;);%0A%0A//%20\"Obfuscated\"%20sourcecode,%20originally%20by%20Harry%20\"Piru\"%20Sintonen%0A//%20-Guess%20the%20result%20before%20hitting%20\"Evaluate%20expression\"!",'');





 ]]></XML>